> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/merchant-integration/api-reference-1/faspay-billing-api/callback.md).

# Callback

This API Callback service functions to process when the merchant transaction has been paid for by the customer. Merchant prepares a URL which later from Faspay will send data to that URL.

Method : POST

Format : JSON

### **Callback Parameter**

The following is the parameters that will be given by the Faspay system to the merchant system

{% tabs %}
{% tab title="Request Parameter" %}

<table><thead><tr><th width="200">Parameter</th><th width="144">Data Type</th><th width="283">Description</th></tr></thead><tbody><tr><td>billing_id</td><td>Numeric</td><td>Billing number generated by Faspay</td></tr><tr><td>service_id</td><td>Numeric</td><td>Unique code registered on the Faspay Billing service</td></tr><tr><td>transaction_number</td><td>Numeric</td><td>Merchant invoice number</td></tr><tr><td>billing_total</td><td>Numeric</td><td>Billing total</td></tr><tr><td>signature</td><td>Alphanumeric</td><td><p>Merchant's signature </p><p>SHA1(MD5(username+ password+transaction_number))</p></td></tr><tr><td>billing_status</td><td>Alphanumeric</td><td>Billing status (UNPAID, PAID, EXPIRED, CANCELLED)</td></tr><tr><td>payment_id</td><td>Numeric</td><td>Payment ID generated by Faspay</td></tr><tr><td>payment_amount</td><td>Numeric</td><td>Payment amount</td></tr><tr><td>payment_method</td><td>Alphanumeric</td><td>The channel name used for payment</td></tr><tr><td>payment_date</td><td>Datetime (YYYY-MM-DD hh:mm:ss)</td><td>The date when the bill was paid</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Request" %}

```json
{
  "billing_id": 1057,
  "service_id": 6,
  "transaction_number": "1233989228221148",
  "billing_total": "10000",
  "signature": "f4ebe62839b2d446ed13b3ca28f819a9ac0baa0a",
  "billing_status": "PAID",
  "payment_id": "1606804843001326",
  "payment_amount": "10000",
  "payment_method": "PERMATA VA",
  "payment_date": "2020-12-01 13:22:11"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/faspay-billing-api/callback.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
